header {
    position: sticky;
    top: 0;
    z-index: 2;
}
#aapneknapp {
    display: none;
}
.main-nav {
    display: flex;
    position: relative;
    justify-content: space-between;
    border-bottom: solid #000000 3px;
    min-height: 4rem;
    max-height: 4rem;
    background-color: #EC4E20;
}
.main-nav-div {
    display: flex;
    justify-content: space-evenly;
    gap: 10px;
    align-items: center;
}
.main-nav-link {
    display: flex;
    align-items: center;
    height: 100%;
    width: auto;
}
.main-nav-text {
    margin-right: 10px;
    color: black;
    font-size: 1.3rem;
    text-decoration: none;
    font-family: 'Comfortaa', cursive;
}
.main-nav-text:hover , .main-nav-text:focus , .main-nav-text--onsite {
    background: linear-gradient(0deg, rgba(0,0,0,1) 10%, rgba(236,78,32,1) 10%);
}
.main-nav-text:active {
    color: white;
}
.main-nav-left:active .main-nav-text {
    color: white;
}
.main-nav-left .main-nav-text {
    font-weight: 700;
}
.main-nav-left:focus .main-nav-text , .main-nav-left:hover .main-nav-text {
    background: linear-gradient(0deg, rgba(0,0,0,1) 10%, rgba(236,78,32,1) 10%);
}
.main-nav-img {
    justify-content: center;
}
.main-nav-img img {
    height: 95%;
    width: 60px;
    margin-left: 10px;
}
.main-nav-space {
    width: 1px;
    height: 100%;
    background-color: #000000;
}
/* --"-- mediaqueries */
@media (max-width: 1200px) {
    .main-nav-img {
        display: none;
    }
    .main-nav-text {
        font-size: 1.2rem;
    }
}
@media (max-width: 900px) {
    header {
        position: static;
        height: auto;
    }
    .main-nav {
        max-height: none;
    }
    .main-nav-right {
        flex-direction: column;
        margin-right: 20px;
    }
    .main-nav-space {
      display: none;  
    }
    .main-nav-text {
        font-size: 1.5rem;
    }
    .main-nav-left:active .main-nav-text , .main-nav-left:hover .main-nav-text , .main-nav-left .main-nav-text--onsite {
        background: linear-gradient(0deg, rgba(236,78,32,1) 35%, rgba(0,0,0,1) 35%, rgba(0,0,0,1) 40%, rgba(236,78,32,1) 40%);
    } 
}
@media (max-width: 600px) {
    header {
        position: sticky;
        top: 0;
        z-index: 100;
    }
    .aapneknapp-row {
        background-color: #EC4E20;
        width: 100%;
        height: auto;
    }
    #aapneknapp {
        display: block;
        height: 40px;
        width: auto;
        margin-left: 10px;
        cursor: pointer;
    }
    .main-nav {
        display: none;
        flex-direction: column;
        border-top: 3px black solid;
    }
    .aapen {
        display: flex;
    }
    
    .main-nav-left {
        border-bottom: solid black 2px;
    }
    .main-nav-left .main-nav-text {
        padding-top: 10px;
        padding-bottom: 10px;
    }
    .main-nav-left:active .main-nav-text , .main-nav-left:hover .main-nav-text , .main-nav-left .main-nav-text--onsite {
        background: linear-gradient(0deg, rgba(0,0,0,1) 10%, rgba(236,78,32,1) 10%);
    }
}